#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n, maxi = 0, br;
    bool t = true;
    cin >> n;
    long long niz[n];
    for(long long i = 0 ; i < n ; i++){
        cin >> niz[i];
        if(niz[i] > niz[i - 1]) t = false;
    }
    if(niz[n - 1] <= niz[n - 2] && t == true){
        swap(niz[n - 1], niz[n - 2]);
        for(long long i = 0 ; i < n ; i++){
        cout << niz[i] << " ";
    }
    return 0;
    }
    t = false;
    for(long long i = 0 ; i < n ; i++){
        for(long long j = i + 1 ; j < n ; j++){
            if(niz[j] > niz[i]){
            t = true;
            if(maxi <= niz[j]){
            maxi = niz[j];
            br = j;
            }
        }
    }
    if(t == true){
        swap(niz[i], niz[br]);
        i = n;
    }
}
    for(long long i = 0 ; i < n ; i++){
        cout << niz[i] << " ";
    }
    return 0;
}